%define	api	0.3
%define major		11
%define libname		%mklibname %name %api %major
%define develname	%mklibname %name -d

Summary:	User interface library with embedded multimedia
Name:		pigment
Version:	0.3.17
Release:	%mkrel 7
Source0:	http://elisa.fluendo.com/static/download/pigment/%{name}-%{version}.tar.bz2
Patch0:		pigment-0.3.17-redefinition.patch
Patch1:		pigment-0.3.17-gleslib.patch
Patch2:		pigment-0.3.17-install.patch
Patch3:		pigment-0.3.17-automake-1.13.patch
License:	LGPLv2+
Group:		Development/C
URL:		https://code.fluendo.com/pigment/trac
BuildRequires: pkgconfig(cairo) >= 1.4
BuildRequires: pkgconfig(cairo-xlib)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.8.0
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.0
BuildRequires: pkgconfig(gstreamer-base-0.10) >= 0.10.0
BuildRequires: pkgconfig(gstreamer-check-0.10)  >= 0.10.0
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)  >= 0.10.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(pango) >= 1.20
BuildRequires: pkgconfig(pangocairo) >= 1.20
BuildRequires: pkgconfig(tslib-0.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xrender)
BuildRequires: mesaglu-devel
BuildRequires: mesaglesv1-devel
BuildRequires: gtk-doc

%description
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library of Pigment
Obsoletes: %{_lib}pigment11 < %{version}-%{release}

%description -n %{libname}
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%package -n %{develname}
Group: Development/C
Summary: Development headers for shared library of Pigment
Requires: %{libname} = %version
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname pigment 0 -d}
Obsoletes: pigment-devel < %{version}-%{release}

%description -n %{develname}
Pigment is a library designed to easily build user interfaces
with embedded multimedia. Its design allows to use it on several
platforms, thanks to a plugin system allowing to choose the underlying
graphical API. Pigment is the rendering engine of Elisa, the Fluendo
Media Center project.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-gtk-doc --disable-static
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%files
%dir %{_libdir}/%{name}-%{api}/%{version}
%{_libdir}/%{name}-%{api}/%{version}/*.so
%{_datadir}/gtk-doc/html/%{name}

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}
%{_libdir}/lib*-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.17-7.mga4
+ Revision: 517461
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.17-6.mga3
+ Revision: 377740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.3.17-5.mga3
+ Revision: 343437
- patch3: fix build with automake 1.13

* Thu Oct 18 2012 fwang <fwang> 0.3.17-4.mga3
+ Revision: 307820
- fix installtion
- br gtk-doc
- update gles lib
- add upstream patch to fix build
- add more br
- fix dirname
- correct libname

* Thu Mar 24 2011 boklm <boklm> 0.3.17-3.mga1
+ Revision: 76198
- rebuild for bug #497

* Sun Mar 06 2011 ennael <ennael> 0.3.17-2.mga1
+ Revision: 65326
- clean spec file
- imported package pigment


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.17-2mdv2011.0
+ Revision: 614545
- the mass rebuild of 2010.1 packages

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 0.3.17-1mdv2010.1
+ Revision: 541291
- disable gtk-doc

* Fri May 29 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.17-1mdv2010.0
+ Revision: 380728
- new release 0.3.17, new major 11

* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.16-1mdv2009.1
+ Revision: 366724
- bump major
- new release 0.3.16

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.14-1mdv2009.1
+ Revision: 349713
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.13-1mdv2009.1
+ Revision: 318555
- new release 0.3.13

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.12-1mdv2009.1
+ Revision: 308871
- new release 0.3.12

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-2mdv2009.1
+ Revision: 302732
- rebuilt against new libxcb

* Fri Oct 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 291584
- new release 0.3.11

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.10-1mdv2009.0
+ Revision: 289947
- new version (and major)

* Wed Sep 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.9-1mdv2009.0
+ Revision: 287961
- clean and update file list
- drop underlink.patch (merged upstream)
- update URL
- new release 0.3.9 (new major 7)

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 254152
- add underlink.patch from upstream svn: fixes underlinking (breaks build)
- bump major
- streamline spec
- new release 0.3.7

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 06 2008 Anssi Hannula <anssi@mandriva.org> 0.3.5-2mdv2008.1
+ Revision: 180265
- run autoreconf in order to drop RPATHs from binaries on lib64 systems,
  that were forcing the loading of mesa libGL.so.1 even on systems with
  proprietary drivers (fixes launching of elisa)

  + Adam Williamson <awilliamson@mandriva.org>
    - buildrequires libgstreamer-devel >= 0.10 (should work for 2008 and cooker)
    - revert last change, not valid on Cooker
    - buildrequires libgstreamer0.10 instead of gstreamer0.10 (for 2008 backport)

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 178146
- new release 0.3.5, new library major 4

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.3-1mdv2008.1
+ Revision: 177118
- new release 0.3.4.3

* Wed Feb 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.2-1mdv2008.1
+ Revision: 175884
- new release 0.3.4.2

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.1-0.1089.1mdv2008.1
+ Revision: 175189
- new snapshot 1089

* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4.1-0.1073.1mdv2008.1
+ Revision: 169241
- add --enable-gtk-doc parameter to configure to ensure docs are built
- drop visual.patch (no longer needed, I think)
- update to latest svn (needed to fix xcb issue affecting elisa)

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Jan 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 158170
- buildrequires gtk+2-devel so the GTK+ bit gets built

* Fri Jan 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 158147
- br pango-devel
- fix gdkpixbuf BR
- remove one more rogue python br
- buildrequires gdk-pixbuf-devel
- spec clean
- new version 0.3.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 115703
- 0.3.2
- add docs

* Fri Aug 24 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 70825
- update file lists
- drop gdk-pixbuf-devel buildrequires (not needed)
- use Fedora license policy
- new devel policy
- new major 1
- new release 0.3.1
- run ldconfig on post and postun

* Thu May 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 25838
- Import pigment

